<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.commerce.account.web.internal.frontend.CommerceAccountAddressClayDataSetDataSetDisplayView" enabled="false" immediate="true">
  <property name="clay.data.provider.key" type="String" value="commerceAccountAddresses"/>
  <property name="clay.data.set.display.name" type="String" value="commerceAccountAddresses"/>
  <service>
    <provide interface="com.liferay.frontend.taglib.clay.data.set.ClayDataSetActionProvider"/>
    <provide interface="com.liferay.frontend.taglib.clay.data.set.provider.ClayDataSetDataProvider"/>
    <provide interface="com.liferay.frontend.taglib.clay.data.set.ClayDataSetDisplayView"/>
  </service>
  <reference name="_clayTableSchemaBuilderFactory" interface="com.liferay.frontend.taglib.clay.data.set.view.table.ClayTableSchemaBuilderFactory" field="_clayTableSchemaBuilderFactory"/>
  <reference name="_commerceAddressService" interface="com.liferay.commerce.service.CommerceAddressService" field="_commerceAddressService"/>
  <reference name="_modelResourcePermission" interface="com.liferay.portal.kernel.security.permission.resource.ModelResourcePermission" target="(model.class.name=com.liferay.commerce.account.model.CommerceAccount)" field="_modelResourcePermission"/>
  <implementation class="com.liferay.commerce.account.web.internal.frontend.CommerceAccountAddressClayDataSetDataSetDisplayView"/>
</scr:component>
